Subject: Re: [bug#44720] [PATCH] gnu: astroid: Fix inputs.

From: Efraim Flashner <[email-masked]>
Date: Wed, 18 Nov 2020 16:15:55 +0200

On Wed, Nov 18, 2020 at 02:58:13PM +0100, Tanguy LE CARROUR wrote:
> Hi,
> 
> 
> Excerpts from Efraim Flashner's message of November 18, 2020 11:50 am:
> > On Wed, Nov 18, 2020 at 11:22:30AM +0100, Tanguy LE CARROUR wrote:
> >> Excerpts from Efraim Flashner's message of November 18, 2020 11:03 am:
> >> > Can you try the attached patch? It wraps the binary in GI_TYPELIB_PATH
> >> > instead of propagating gsettings-desktop-schemas.
> >> 
> >> Nop, does not work! :-(
> >> 
> >> I still get the following error message on startup:
> >> 
> >> ```
> >> (astroid:7236): GLib-GIO-ERROR **: 11:19:11.738: Settings schema 'org.gnome.desktop.interface' is not installed
> >> ```
> >> 
> > 
> > I have another patch to try!
> 
> And this one works fine! I'll have to read it again, just to make sure I
> understand everything! ^_^'

Yay! The short version is 'wrap-with-GI_TYPELIB_PATH makes sure the
TYPELIB path is set correctly. When you said the settings schema was
missing I figured it needed the compile-schema phase from the
glib-or-gtk build-system, and it almost definitely needed the 'wrap phase
from glib-or-gtk also.

> Thanks

NP :) Patch pushed!

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted